<template>
    <div>
        <div class="card-container">
            <div class="my-card-header">
                <div class="card-title-container">
                    <div class="my-card-title">{{ growthCard.title }}</div>
                </div>
                <div>
                    <ToggleButton font-size="12"  class="toggle-btn" height="24" :labels="true" color="rgb(45, 119, 245)"></ToggleButton>
                </div>
            </div>
            <div class="content-container">
                <div>
                    <button class="btn configure-btn">Configure</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>


export default {
    name: "GrowthCard",
    props: ['growthCard'],
}
</script>

<style scoped lang="scss">


.my-card-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #DFE6F2;
    padding: 10px 20px;
}

.content-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
    min-height: 105px;
}

.toggle-btn {
    margin-bottom: 0;
    font-weight: bold;
}

.configure-btn {
    background: #DAE7FF;
    color: #4786FF;
    padding: 9px 22px;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;
    &:hover {
        background: #4786FF;
        color: #ffffff;
    }
}

.card-title {
    color: #A8B2C4;
    font-size: 12px;
}

.card-title-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
}

.card-container {
    background: white;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    min-height: 151px;
    border-radius: 5px;
}

.panel-heading-status {
    width: 8px;
    border: 1px solid #2BB300;
    height: 8px;
    border-radius: 50%;
}

</style>
